%def_enable     static
%def_enable     gnome_vfs
%def_disable    static_gnome_vfs

BuildRequires: gcc3.2 gcc3.2-c++ libstdc++3.2-devel

%define force_disable() %{expand:%%global _disable_%{1} --disable-%{1}}

%if_disabled static
%force_disable static-gnome-vfs
%endif
%if_disabled gnomevfs
%force_disable static-gnome-vfs
%endif   

Name:		ntfsprogs
Version:	1.8.4
Release:	alt1.1

Summary:	NTFS filesystem utilities
License:	GPL
Group:		System/Kernel and hardware

URL:		http://linux-ntfs.sf.net/
Source0:	%name-%version.tar.bz2
Packager:	Albert R. Valiev <darkstar@altlinux.ru>

%if_enabled static
BuildRequires: glibc-devel-static 
%endif
%if_enabled gnome_vfs
BuildRequires: pkgconfig gnome-vfs2-devel
%endif
%if_enabled static_gnome_vfs
BuildRequires: gnome-vfs2-devel-static
%endif

%description
The Linux-NTFS project (http://linux-ntfs.sf.net/) aims to bring full support
for the NTFS filesystem to the Linux operating system. Linux-NTFS currently
consists of a static library and utilities. This package contains the following
utilities:

NtfsFix - Attempt to fix an NTFS partition that has been damaged by the
    Linux NTFS driver. It should be run every time after you have used the Linux
    NTFS driver to write to an NTFS partition to prevent massive data corruption
    from happening when Windows mounts the partition.
    IMPORTANT: Run this only *after* unmounting the partition in Linux but *before*
    rebooting into Windows NT/2000!

mkntfs - Format a partition with the NTFS filesystem.

ntfslabel - Display/change the label of an NTFS partition.

ntfsundelete - Recover deleted files from an NTFS volume.

ntfsresize - Resize an NTFS volume.

%package -n libntfs
Summary:	NTFS filesystem libraries
Group:		System/Libraries

%description -n libntfs
The Linux-NTFS project (http://linux-ntfs.sf.net/) aims to bring full support
for the NTFS filesystem to the Linux operating system. Linux-NTFS currently
consists of a static library and utilities. 
This package contains NTFS filesystem libraries

%package -n libntfs-devel
Summary:	NTFS filesystem header files
Group:		Development/C
Requires:	libntfs = %version-%release

%description -n libntfs-devel
The Linux-NTFS project (http://linux-ntfs.sf.net/) aims to bring full support
for the NTFS filesystem to the Linux operating system. Linux-NTFS currently
consists of a static library and utilities. 
This package contains NTFS filesystem header files


%package -n libntfs-devel-static
Summary:	NTFS filesystem static libraries
Group: 		Development/C
Requires:	libntfs = %version-%release

%description -n libntfs-devel-static
The Linux-NTFS project (http://linux-ntfs.sf.net/) aims to bring full support
for the NTFS filesystem to the Linux operating system. Linux-NTFS currently
consists of a static library and utilities. 
This package contains NTFS filesystem static libraries

%package -n libntfs-gnomevfs
Summary:	GNOME VFS plugin to access NTFS volumes
Group:		System/Libraries
Requires:	libntfs = %version-%release
%description -n libntfs-gnomevfs
The Linux-NTFS project (http://linux-ntfs.sf.net/) aims to bring full support
for the NTFS filesystem to the Linux operating system. Linux-NTFS currently
consists of a static library and utilities. 

This package contains module to access NTFS volumes from within GNOME
VFS framework

%package -n libntfs-gnomevfs-devel
Summary: Headers and development files for libntfs-gnomevfs
Group: Development/GNOME and GTK+
Requires: libntfs-gnomevfs = %version-%release
Requires: libntfs-devel = %version-%release
%description -n libntfs-gnomevfs-devel
The Linux-NTFS project (http://linux-ntfs.sf.net/) aims to bring full support
for the NTFS filesystem to the Linux operating system. Linux-NTFS currently
consists of a static library and utilities. 

This package contains development files for NTFS module for GNOME VFS

%package -n libntfs-gnomevfs-devel-static
Summary: Static version of libntfs GNOME VFS module
Group: Development/GNOME and GTK+
Requires: libntfs-gnomevfs-devel = %version-%release
%description -n libntfs-gnomevfs-devel-static
The Linux-NTFS project (http://linux-ntfs.sf.net/) aims to bring full support
for the NTFS filesystem to the Linux operating system. Linux-NTFS currently
consists of a static library and utilities. 

This package contains static version of libntfs-gnomevfs module

%prep
%setup -q -n %name-%version

%build
%set_gcc_version 3.2
# umm... still not enough, configure catches 3.3 -- mike
export CC=gcc-3.2
export CXX=g++-3.2
%__libtoolize --copy --force 
%configure %{subst_enable static} \
%if_enabled gnome_vfs
	--enable-gnome-vfs
%else
	--disable-gnome-vfs
%endif
%make_build

%install
%make DESTDIR=%buildroot install

%files
%_bindir/*
%_sbindir/*
%_man8dir/*

%files -n libntfs
%_libdir/libntfs.so.*

%files -n libntfs-devel
%_libdir/libntfs.so
#_libdir/libntfs.la
%dir %_includedir/ntfs
%_includedir/ntfs/*.h
%exclude %_includedir/ntfs/gnome-vfs*.h

%if_enabled static
%files -n libntfs-devel-static
%_libdir/libntfs.a
%endif

%if_enabled gnome_vfs
%files -n libntfs-gnomevfs
%_sysconfdir/*/*/*
%_libdir/gnome-vfs*/*/lib*.so*
#_libdir/gnome-vfs*/*/lib*.la

%files -n libntfs-gnomevfs-devel
%_includedir/ntfs/gnome-vfs*.h

%if_enabled static_gnome_vfs
%files -n libntfs-gnomevfs-devel-static
%_libdir/gnome-vfs*/*/lib*.a
%endif

%endif # gnome_vfs

%changelog
* Fri Feb 06 2004 Michael Shigorin <mike@altlinux.ru> 1.8.4-alt1.1
- fixed gcc3.2 build request
- fixed GNOME package groups

* Thu Feb  5 2004 Alexey Morozov <morozov@altlinux.org> 1.8.4-alt1
- 1.8.4
- libntfs.a is conditionally built
  (--enable/--disable static, default is enabled)
- added libntfs-gnomevfs package 
  (--enable/--disable gnome-vfs, default is enabled)
  static module library is under another condition
  (--enable/--disable static-gnome-vfs, default is disabled)

* Tue Jun 24 2003 Albert R. Valiev <darkstar@altlinux.ru> 1.7.1-alt2
- deps correction

* Fri Jun 20 2003 Albert R. Valiev <darkstar@altlinux.ru> 1.7.1-alt1
- Initial build
